<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" 
  "http://www.w3.org/TR/xhtml1/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<%@ page import="java.util.*" %>

<!-- result.jsp   P. Conrad, for CISC474, H07, 04/05/2007 
     View for BeerAdvisor servlet from HFSJ, Chapter 3, p. 87
     Brought up to date with proper XHTML 1.1 syntax 
     View component of MVC-based beer advisor 

     HFSJ: "Head First Servlets and JSP, 1st Edition, O'Reilly 2004 
-->


<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Beer Advisor Results</title>
<style type="text/css">
  h1 {text-align:center}
  .center {text-align: center}
</style>
</head>


<body>

<h1>Beer Recommendations JSP</h1>



<%-- 
     The code below gets an attribute from the request object.
     This is explained a bit on p. 87 and p. 89 of HFSJ,
     with the promise of more explanation to come later.
     
     Pages 122-125 say a bit about the request object.
     Pages 185-205 have more detail on Attributes. 
--%>

<% 
   // Get attribute from request object

   List<String> styles = (List<String>) request.getAttribute("styles");

   // Here's a variation on the code on HFSJ p. 87
   // This uses the simpler "foreach" loop of Java 5.0

   if (styles.size() == 0) {
%>
     <p>There were no beers that matched the color: <%= request.getParameter("color") %></p>
<%
   } else {

     out.print("<p>");
     for (String style: styles)
        out.print("try: " + style + "<br/>");
     out.print("</p>");
   }
%>

<p>Return to <a href="beerSelect.jsp">beer selection page</a></p>

<hr />
<form action="logout.do" method="post">
<input type="submit" value="logout" />
</form>



</body>
</html>

